Domains
Manage custom domains on upload projects.
Authorization
BearerAuth AuthorizationBearer <token>
Team API key (prefix bb_live_). Create keys in Team settings on a Pro or Studio plan.
In: header
Path Parameters
project_id*Project Id
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/projects/string/domains"{ "domains": [ { "id": 0, "hostname": "string", "type": "string", "environment_id": "string", "status": "string", "message": "string", "created_at": "2019-08-24T14:15:22Z", "request_id": "string" } ], "request_id": "string"}Authorization
BearerAuth AuthorizationBearer <token>
Team API key (prefix bb_live_). Create keys in Team settings on a Pro or Studio plan.
In: header
Path Parameters
project_id*Project Id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/projects/string/domains" \ -H "Content-Type: application/json" \ -d '{ "hostname": "string" }'{ "id": 0, "hostname": "string", "type": "string", "environment_id": "string", "status": "string", "message": "string", "created_at": "2019-08-24T14:15:22Z", "request_id": "string"}Authorization
BearerAuth AuthorizationBearer <token>
Team API key (prefix bb_live_). Create keys in Team settings on a Pro or Studio plan.
In: header
Path Parameters
project_id*Project Id
domain_id*Domain Id
Response Body
application/json
curl -X DELETE "https://example.com/v1/projects/string/domains/0"Empty